/* HomePage.css */

/* Add your CSS styles here */

.homepage {
    background-image: url('../assets/bookshelf.jpg');
    background-size: cover;
    background-position: center;
    position: absolute;
    z-index: -1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.search, .engine {
    font-size: 3rem;
    position: absolute;
    font-weight: 700;
    opacity: 0.7;
    color: #f9f9f9;
}

.search {
    left: 65%;
    top: 20%;
}

.engine {
    left: 65%;
    top: 30%;
}

.search-bar {
    display: flex;
    align-items: center;
    position: fixed;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.scroll-down-button {
    position: fixed;
    bottom: 20px;
    left: 50%;
    top:60%;
    transform: translateX(-50%);
}

input {
    padding: 0.5rem;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 20mm;
    margin-right: 0.5rem;
    width: 700px;
    min-width: 300px;
}

button {
    background-color: #3262e6; /* Green */
    border: none;
    color: white; 
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}
.button-search {
    top:60%;
    left: 42%;
    transform: translateX(-50%);
}

.button-regex {
    left:45%;
    top:60%;
}

.select-container {
    display: flex;
    align-items: center;
    position: fixed;
    top: 60%;
    left: calc(50% + 230px); /* Adjust distance from the search bar */
    transform: translate(-50%, -50%);
}

/* Styles for the select element */
select {
    padding: 10px; /* Adjust padding as needed */
    font-size: 16px; /* Adjust font size as needed */
    border: 1px solid #ccc; /* Border color */
    border-radius: 5px; /* Border radius */
    background-color: #fff; /* Background color */
    color: #333; /* Text color */
    appearance: none; /* Remove default arrow */
    cursor: pointer; /* Change cursor to pointer on hover */
    width: 200px; /* Adjust width as needed */
}

/* Style for the select arrow */
select::after {
    content: '\25BC'; /* Unicode for down arrow */
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    pointer-events: none; /* Prevent interaction with arrow */
}

/* Style for the options */
select option {
    background-color: #fff; /* Background color */
    color: #333; /* Text color */
}

/* Style for the select when hovered */
select:hover {
    border-color: #666; /* Change border color on hover */
}

/* Style for the select when focused */
select:focus {
    outline: none; /* Remove default focus outline */
    border-color: #666; /* Change border color when focused */
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
    .search {
        left: 50%;
        top: 15%;
    }

    .engine {
        left: 50%;
        top: 25%;
    }

    .search-bar {
        top: 50%;
    }

    input {
        width: 80%;
        min-width: auto;
    }
}
